# BIJ1 WordPress theme

This is a WordPress theme used at [bij1.org](https://bij1.org/),
based on a theme called [Okaia](https://www.okaia.nl/),
and previously maintained by [Multitude](https://www.multitude.nl/).
Changes are initially tested on [wp-staging.bij1.net](https://wp-staging.bij1.net/).

There are a couple of theme settings that you can define as constants:

- `LOGO_BIG_PATH`: url of the big/wide logo
- `LOGO_SMALL_PATH`: url of the small/mobile logo
- `IS_MAIN_SITE`: whether this is bij1.org, used to toggle donation form
- `NEWS_GRID_VIEW`: whether to show the news page as a grid (default = false)

## Todo

- [functional demands](https://trello.com/b/h6xl71Se/ict-bij1)
- reverse engineer how the heck their build pipeline worked
- automate/document it
- refactor
- [improve accessibility](https://trello.com/c/KOt0Eq6T/132-toegankelijkheid-verbeteren)
- split off local-friendly version
- format/lint

## Reproducing

- `src/fonts/BIJ1-*.woff*`: https://gitlab.com/bij1/bij1-font
- `src/fonts/fontello.*`, `src/css/fontello.css`: [load](https://github.com/fontello/fontello/wiki/How-to-save-and-load-projects#simple-import) `fontello/config.json` on [fontello.com](https://fontello.com/)
- `src/acf.php`: [export](https://wp-staging.bij1.net/wp-admin/edit.php?post_type=acf-field-group&page=acf-tools) Advanced Custom Fields Pro fields to PHP

## Deployment

### Test

```sh
./test.sh
```

### Backup

First back up actual server content to separate branches:

```sh
./sync.sh
```

### Staging

```sh
HOST=wp-staging.bij1.net
rsync --rsync-path="sudo rsync" -avzhLP --delete ./src/* $HOST:/var/www/wordpress/wp-content/themes/BIJ1/
rsync --rsync-path="sudo rsync" -avzhLP --delete ./src/* $HOST:/var/www/amsterdam/wp-content/themes/BIJ1/
rsync --rsync-path="sudo rsync" -avzhLP --delete ./src/* $HOST:/var/www/amersfoort/wp-content/themes/BIJ1/
rsync --rsync-path="sudo rsync" -avzhLP --delete ./src/* $HOST:/var/www/denhaag/wp-content/themes/BIJ1/
rsync --rsync-path="sudo rsync" -avzhLP --delete ./src/* $HOST:/var/www/haarlem/wp-content/themes/BIJ1/
rsync --rsync-path="sudo rsync" -avzhLP --delete ./src/* $HOST:/var/www/hilversum/wp-content/themes/BIJ1/
rsync --rsync-path="sudo rsync" -avzhLP --delete ./src/* $HOST:/var/www/leiden/wp-content/themes/BIJ1/
rsync --rsync-path="sudo rsync" -avzhLP --delete ./src/* $HOST:/var/www/rotterdam/wp-content/themes/BIJ1/
```

### Production

```sh
HOST=wp.bij1.net
rsync --rsync-path="sudo rsync" -avzhLP --delete ./src/* $HOST:/var/www/wordpress/wp-content/themes/BIJ1/
rsync --rsync-path="sudo rsync" -avzhLP --delete ./src/* $HOST:/var/www/almere/wp-content/themes/BIJ1/
rsync --rsync-path="sudo rsync" -avzhLP --delete ./src/* $HOST:/var/www/arnij/wp-content/themes/BIJ1/
rsync --rsync-path="sudo rsync" -avzhLP --delete ./src/* $HOST:/var/www/delft/wp-content/themes/BIJ1/
rsync --rsync-path="sudo rsync" -avzhLP --delete ./src/* $HOST:/var/www/denhaag/wp-content/themes/BIJ1/
rsync --rsync-path="sudo rsync" -avzhLP --delete ./src/* $HOST:/var/www/utrecht/wp-content/themes/BIJ1/
rsync --rsync-path="sudo rsync" -avzhLP --delete ./src/* $HOST:/var/www/zaanstreek/wp-content/themes/BIJ1/
```
